Skip to main content
API referenceContracts

OpenAPI

Last updated

GET
/api/v1/openapi.json

Fetch OpenAPI 3.1 contract.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/openapi.json"
{  "data": {    "components": {      "example": null    },    "info": {      "example": null    },    "openapi": "3.1.0",    "paths": {      "example": null    },    "servers": [      {}    ],    "x-metagraphed": {      "example": null    }  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}